﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Netcached
{
    enum StoreResult
    {
        Stored,
        NotStored,
        CASModified,
        CASNotFound
    }

    /// <summary>
    /// 
    /// </summary>
    public enum CasResult
    {
        /// <summary>
        /// The item was stored successfully.
        /// </summary>
        Stored,

        /// <summary>
        /// The item was not stored because it had been modified since the last read operation.
        /// </summary>
        ErrorModified,

        /// <summary>
        /// The item was not stored because the given key does not exist.
        /// </summary>
        ErrorNotFound
    }
}
