﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Netcached.Tests
{
    [TestClass]
    public class BaseTestClass
    {
        MemcachedClient client;
        protected MemcachedClient Client { get { return client; } }

        [TestInitialize]
        public virtual void Initialize()
        {
            client = TestFixture.GetClient();
        }

        [TestCleanup]
        public virtual void Cleanup()
        {
            client.FlushAllEntries();
            //client.Dispose();
        }
    }
}
