﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Netcached
{
    /// <summary>
    /// This class is used to store return values from multi-get operations.
    /// </summary>
    public class RetrievedItem
    {
        public string Key { get; set; }
        public object Item { get; set; }
        public ulong CasUnique { get; set; }

        public RetrievedItem() { }

        public RetrievedItem(string key, object item, ulong casUnique)
        {
            Key = key;
            Item = item;
            CasUnique = casUnique;
        }
    }
}
